<?php
require_once(dirname(__FILE__) . '../../../../wp-config.php');
require_once(dirname(__FILE__) . '/functions.php');
header("Content-type: text/css; charset: UTF-8");

global $options;

foreach ($options as $value)
{
	if (get_option( $value['id'] ) === FALSE)
	{
		$$value['id'] = $value['std'];
	}
	else
	{
		$$value['id'] = get_option( $value['id'] );
	}
}
?>

/* Style codes below are all set by the AT Option ========== AT4US 2.8  ========= */

/* General Basic */

html body {
color: <?php echo $at4us_basic_color; ?>;
font-family: <?php echo $at4us_basic_font; ?>;
background-color: <?php echo $at4us_body_bgcolor; ?>;
background-image:url(<?php echo $at4us_body_bgimg; ?>); 
background-repeat: <?php echo $at4us_body_bgimg_repeat; ?>;
background-position: <?php echo $at4us_body_bg_position; ?>; 
background-attachment: <?php echo $at4us_body_bgimg_scroll; ?>;
}

a {
text-decoration:none;
outline:none;
color:<?php echo $at4us_basic_link_color; ?>;
}
a:hover {
text-decoration: underline;
color:<?php echo $at4us_basic_link_hover_color; ?>;
}

#container,#header-top-body {
width: <?php echo $at4us_container_width; ?>;
}

#header-top{
display:<?php echo $at4us_header_top_bar_display; ?> !important;
}
/* Code and Pre */
code, pre {
	background: <?php echo $at4us_code_bgcolor; ?>;
	color: <?php echo $at4us_code_color; ?>;
	width:80%;
	margin:15px 30px 0 10px;
	}

/* Header */
#header a {
	color: <?php echo $at4us_header_link_color; ?>;
	text-decoration: none;
	}
#header a:hover {
	color: <?php echo $at4us_header_link_hover_color; ?>;
	text-decoration: none;
	}
#header-name {
	font-size:<?php echo $at4us_blogname_size; ?>;
	}
#header-name,#header-name span {
	font-family: <?php echo $at4us_blogname_font; ?>;
	}
#header-name span {
	color: <?php echo $at4us_header_dfn_color; ?>;
	font-size:<?php echo $at4us_header_dfn_size; ?>;
	}

/* Header Menu List */
/* navigation in header. background */
#header #headermenu{
background:<?php echo $at4us_header_menu_bgcolor; ?> none repeat scroll 0 0;
}
#header #headermenu a{
color: <?php echo $at4us_header_menu_link_color; ?>;
}
#header #headermenu li a{
color: <?php echo $at4us_header_menu_link_color; ?>;
}

#header #headermenu li a:hover {
background: <?php echo $at4us_header_menu_bgcolor_hover; ?>;
color: <?php echo $at4us_header_menu_link_hover_color; ?>;
font-weight: bold;
text-decoration: underline;
}

/* Entry */
#entry {
	background: <?php echo $at4us_entry_content_bgcolor; ?>;
	}
#entry-single {
	background: <?php echo $at4us_entry_content_bgcolor; ?>;
	}
.entry-body {
color: <?php echo $at4us_entry_content_font_color; ?>;
}

/* Sticky Posts */
.sticky .entry-name {
border:<?php echo $at4us_sticky_entry_name_border_color; ?>;

-moz-border-radius-bottomleft:5px;
-moz-border-radius-bottomright:5px;
-moz-border-radius-topleft:5px;
-moz-border-radius-topright:5px;
-webkit-border-top-left-radius: 5px;
-webkit-border-top-right-radius: 5px; 
-webkit-border-bottom-right-radius: 5px;
-webkit-border-bottom-left-radius: 5px;
-khtml-border-radius-topleft:5px; 
-khtml-border-radius-topright:5px; 
-khtml- border-radius-bottomleft:5px; 
-khtml-border-radius-bottomright:5px;
border-radius:5px;
}

/* Link color in posts,only in posts content*/
.entry-body a{
color: <?php echo $at4us_link_color_entry; ?>;
text-decoration: none;
}
.entry-body a:hover{
color: <?php echo $at4us_link_hover_color_entry; ?>;
text-decoration: underline;
}

/* Title of the Posts*/
.entry-name{
background:<?php echo $at4us_entry_title_bgcolor; ?>;
font-size: <?php echo $at4us_entry_title_font_size; ?>;
}

.entry-name a {
text-decoration: none;
color: <?php echo $at4us_entry_title_link_color; ?>;
}
.entry-name a:hover {
text-decoration: none;
color: <?php echo $at4us_entry_title_link_hover_color; ?>;
}

/* Post Meta */
.entry-meta {
color:<?php echo $at4us_entry_meta_font_color; ?>;
}

.entry-meta a {
color: <?php echo $at4us_entry_meta_link_color; ?>;
}

.entry-meta a:hover {
color: <?php echo $at4us_entry_meta_link_hover_color; ?>;
}

.entry-info {
color:<?php echo $at4us_entry_info_font_color; ?>;
}
.entry-info a {
color:<?php echo $at4us_entry_info_link_color; ?>;
}
.entry-info a:hover {
color: <?php echo $at4us_entry_info_link_hover_color; ?>;
}

/* Comments */
.comment-entry-alt {
	background: <?php echo $at4us_cb_color; ?>;
	}
.comment-entry-owner {
	background: <?php echo $at4us_comments_bgcolor_blogowner; ?>;
	}
.comment-content {
	background: <?php echo $at4us_comments_bgcolor_guest; ?>;
	}

#commentform input,
.comment-input,
#commentform textarea {
background: <?php echo $at4us_comment_form_textarea_bgcolor; ?>;
color:#000000;
}

.comment-input,
#commentform textarea {
border:<?php echo $at4us_comments_form_text_border_color; ?>;
}

#commentform textarea {
font-size: 16px;
}

#commentform input:focus,
#commentform textarea:focus {
background: <?php echo $at4us_cff_color; ?>;
}

#comments-guidelines-info,#loading,#errors {
	background: <?php echo $at4us_comments_guidelines_info_bgcolor; ?>;
	color:<?php echo $at4us_comments_guidelines_info_font_color; ?>;
	}
.feedback-footer {
color:<?php echo $at4us_comment_author_data_font_color; ?>;
}


/* Sidebar */
#sidebar{
border-left:<?php echo $at4us_sidebar_border_left_color; ?>;
background-color: <?php echo $at4us_sidebar_bgcolor; ?> ;
color:<?php echo $at4us_sidebar_color; ?>;
}

#sidebar a {
color:<?php echo $at4us_sidebar_link_color; ?>;
text-decoration: none;
}

#sidebar a:hover {
text-decoration: underline;
color:<?php echo $at4us_sidebar_link_hover_color; ?>;
}

#sidebar h2,#sidebar h3,
h2.widgettitle {
color: <?php echo $at4us_sidebar_h2_color; ?>;
text-decoration: none;
font-size:<?php echo $at4us_sidebar_h2_size; ?>;
background:<?php echo $at4us_sidebar_h2_bgcolor; ?>;
}
#sidebar h2 a ,
#sidebar h3 a , 
h2.widgettitle a {
color: <?php echo $at4us_sidebar_h2_link_color; ?>;
text-decoration: none;
}
#sidebar h2 a:hover ,
#sidebar h3 a:hover , 
h2.widgettitle a:hover {
text-decoration: none;
color: <?php echo $at4us_sidebar_h2_link_hover_color; ?>;
}

#sidebar li {
border-bottom: <?php echo $at4us_sidebar_li_bottom_border_color; ?>;
}


#sidebar li a {
color: <?php echo $at4us_sidebar_li_link_color; ?>;
text-decoration: none;
}

#sidebar li a:hover {
text-decoration: none;
color: <?php echo $at4us_sidebar_li_link_hover_color; ?>;
}


/* Navigation in content.*/
.content-nav{
background-color: <?php echo $at4us_content_nav_bgcolor; ?>;
border:<?php echo $at4us_content_nav_border_color; ?>;
color:<?php echo $at4us_content_nav_font_color; ?>;
font-size:<?php echo $at4us_content_nav_font_size; ?>;
}

.content-nav a{
color:<?php echo $at4us_content_nav_link_color; ?>;
}

.content-nav a:hover{
color:<?php echo $at4us_content_nav_link_hover_color; ?>;
text-decoration: underline;
}

/* Footer */
#footer {
	background: <?php echo $at4us_fb_bgcolor; ?>;
	color: <?php echo $at4us_fc_color; ?>;
	}

#footer a {
	color: <?php echo $at4us_fl_color; ?>;
	}
#footer a:hover {
	color: <?php echo $at4us_fh_color; ?>;
	}
#footer li {
	border-left:<?php echo $at4us_flbl_color; ?>;
	}

/* Selected text. background color*/
selection {
background-color:<?php echo $at4us_selection_bgcolor; ?>;
color:<?php echo $at4us_selection_color; ?>;
}
*::-moz-selection {
background-color:<?php echo $at4us_selection_bgcolor; ?>;
color:<?php echo $at4us_selection_color; ?>;
}

/* Begin for WordPress2.6 Captions*/
.wp-caption {
	background-color:<?php echo $at4us_caption_bgcolor; ?>;
	border: <?php echo $at4us_caption_bordercolor; ?>;
}

/* Subscribe in sidebar */
#sidebar .feedicon {
border: <?php echo $at4us_sidebar_sub_border_color; ?>;
background-color: <?php echo $at4us_sidebar_sub_bgcolor; ?>;
}